: Class MirrorFrame

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.proxy
Class MirrorFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.proxy.ForwardFrame
                                                |
                                                +--org.w3c.jigsaw.proxy.MirrorFrame

public class MirrorFrame
extends ForwardFrame

Field Summary
`protected static int` | `ATTR_MIRRORS` Attribute index - The site we are mirroring.
`protected java.net.URL` | `mirrors`

Fields inherited from class org.w3c.jigsaw.proxy.ForwardFrame
`ATTR_LOCAL_ROOT, ATTR_RECEIVED_BY, ATTR_TRACEREQ, cache_hits, cache_icps, cache_misses, cache_nocache, cache_retrievals, cache_revalidations, lroot, manager, reqcount, reqerred`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`_allowed, acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CHARSET, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_INDEXES, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`MirrorFrame()`

Method Summary
`protected Reply` | `dupReply(Request request, Reply rep)` Duplicate the given client side reply into a server side one.
`protected Request` | `dupRequest(Request request)` Duplicate a server side request into a client side request.
`java.lang.String` | `getMirrors()` Get the mirrors site attribute value.
`void` | `initialize(java.lang.Object[] values)` Initialize the frames of that framed resource.
`boolean` | `lookupOther(LookupState ls, LookupResult lr)` Lookup for a mirrored resource.
`void` | `setValue(int idx, java.lang.Object value)` Catch assignment to the mirror attribute, to update our cached URL.

Methods inherited from class org.w3c.jigsaw.proxy.ForwardFrame
`getLocalRoot, getLocalRootResource, getReceivedBy, getTraceRequest, getVia, notifyUnload, perform, registerResource, updateStatistics`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame
`addStyleSheet, attributeChanged, browse, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, computeContainerListing, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteMe, deleteOtherResource, extended, get, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getCharset, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getIndexes, getMaxAge, getMD5Flag, getOtherResource, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, link, lookup, lookupDirectory, lookupFile, lookupResource, options, performFrames, post, put, putFileResource, putOtherResource, registerOtherResource, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_MIRRORS

    protected static int ATTR_MIRRORS

  Attribute index - The site we are mirroring.

### mirrors

    protected java.net.URL mirrors

Constructor Detail

### MirrorFrame

    public MirrorFrame()

Method Detail

### getMirrors

    public java.lang.String getMirrors()

  Get the mirrors site attribute value.
  Returns:
    The String encoded URL of the site we are mirroring here.

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Catch assignment to the mirror attribute, to update our cached URL.
  Overrides:
    setValue in class HTTPFrame
  Parameters:
    `idx` - The slot to set.
    `value` - It's new value.

### dupReply

    protected Reply dupReply(Request request,
                             Reply rep)
                      throws HTTPException,
                             java.io.IOException

  Description copied from class: ForwardFrame
  Duplicate the given client side reply into a server side one. Perform any actions requested by HTTP/1.1.
  Overrides:
    dupReply in class ForwardFrame
  Parameters:
    `request` - the incomming request
    `rep` - the client reply
  Returns:
    A Reply instance
  Throws:
    HTTPException - if processing the request failed.
    java.io.IOException - if an IO error occurs.

### dupRequest

    protected Request dupRequest(Request request)
                          throws HTTPException,
                                 java.io.IOException

  Description copied from class: ForwardFrame
  Duplicate a server side request into a client side request.
  Overrides:
    dupRequest in class ForwardFrame
  Parameters:
    `request` - the incomming request
  Returns:
    A client Request instance.
  Throws:
    HTTPException - if processing the request failed.
    java.io.IOException - if an IO error occurs.

### lookupOther

    public boolean lookupOther(LookupState ls,
                               LookupResult lr)
                        throws ProtocolException

  Lookup for a mirrored resource.
  Overrides:
    lookupOther in class HTTPFrame
  Parameters:
    `ls` - The current lookup state
    `lr` - The result
  Returns:
    true if lookup is done.
  Throws:
    ProtocolException - If an error relative to the protocol occurs

### initialize

    public void initialize(java.lang.Object[] values)

  Description copied from class: FramedResource
  Initialize the frames of that framed resource.
  Overrides:
    initialize in class ForwardFrame
  Tags copied from class: FramedResource
  Parameters:
    `values` - Default attribute values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD